#if !defined _LIBBLANG_H
#	define _LIBBLANG_H 1
#	include <stdint.h>
/* This has to be big enough to hold a char * without degradation.
 * Adjust to architecture/system/environment/etc. */
typedef uint64_t hand_t; 

/* Holds *argv; will not change between environments. */
typedef char *chart_t;

struct State{
	chart_t chart;
	chart_t point;
	chart_t counter;
	hand_t hand;
};

/* Characters that end a comment. */
#define BLANG_COMMENT_END "!\n"

void (*Ops_lookup(char op))(struct State *);
#endif
